Package com.gpudb.protocol
Class AggregateUnpivotRequest.Options
java.lang.Object
com.gpudb.protocol.AggregateUnpivotRequest.Options
Enclosing class:
A set of string constants for the
AggregateUnpivotRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringIndicates the target maximum data size for each column in a chunk to be used for the result table.static final StringIndicates the target maximum data size for all columns in a chunk to be used for the result table.static final StringIndicates the number of records per chunk to be used for the result table.static final String[DEPRECATED—please specify the containing schema as part ofRESULT_TABLEand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the table specified inRESULT_TABLE.static final StringThe default compression codec for the result table’s columns.static final StringComma-separated list of columns on which to create indexes on the table specified inRESULT_TABLE.static final StringIfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE.static final StringFilter expression to apply to the table prior to unpivot processing.static final Stringstatic final StringThe number of records to keep.static final StringComma-separated list of the columns to be sorted by; e.g. ‘timestamp asc, x desc’.static final StringThe name of a table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria.static final StringForce the result table to be replicated (ignores any sharding).static final StringIfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified.static final Stringstatic final StringSets the TTL of the table specified inRESULT_TABLE.static final StringView this result table is part of.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE. IfRESULT_TABLE_PERSISTisFALSE(or unspecified), then this is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_RESULT_TABLE_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema as part ofRESULT_TABLEand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the table specified inRESULT_TABLE. If the schema is non-existent, it will be automatically created.See Also:RESULT_TABLE
The name of a table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. If present, no results are returned in the response.See Also:RESULT_TABLE_PERSIST
IfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified. IfFALSE, then the result table will be an in-memory table and will expire unless aTTLis specified otherwise. Supported values:The default value isFALSE.See Also:ORDER_BY
Comma-separated list of the columns to be sorted by; e.g. ‘timestamp asc, x desc’. The columns specified must be present in input table. If any alias is given for any column name, the alias must be used, rather than the original column name. The default value is ”.See Also:CHUNK_SIZE
Indicates the number of records per chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CHUNK_COLUMN_MAX_MEMORY
Indicates the target maximum data size for each column in a chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CHUNK_MAX_MEMORY
Indicates the target maximum data size for all columns in a chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CREATE_INDEXES
Comma-separated list of columns on which to create indexes on the table specified inRESULT_TABLE. The columns specified must be present in output column names. If any alias is given for any column name, the alias must be used, rather than the original column name.See Also: